# Darsman Search Library

## Requirements

- Python (== 3.10)
- grpcio-tools (>=1.62.1)

## Installation

Run the following command using pip:

```bash
    pip install dmse(test)
```

## Sample code

```python
import asyncio
from dmse import Keyword


keyword = Keyword()

create_response = asyncio.run(
    keyword.create(
        "rust", "rust is a programming lang", "in rust we trust", "http://rust.org"
    )
)
print(create_response)

search_response = asyncio.run(keyword.search(keyword="rust"))
print(search_response)

```
